import logging
import sqlalchemy as sa

from typing import Any

from sqlalchemy.ext.declarative import declarative_base

# from sqlalchemy.orm import relationship

logger = logging.getLogger(__name__)

# https://github.com/python/mypy/issues/2477
base_schema: Any = declarative_base()


class BudgetEntry(base_schema):
    __tablename__ = 'budgets'
    id = sa.Column(sa.Integer, sa.Sequence(
        'budgetentry_seq_id_seq'), nullable=False)
    nren = sa.Column(sa.String(128), primary_key=True)
    budget = sa.Column(sa.String(128))
    year = sa.Column(sa.Integer, primary_key=True)


class FundingSource(base_schema):
    __tablename__ = 'funding_source'
    id = sa.Column(sa.Integer, sa.Sequence(
        'fundingentry_seq_id_seq'), nullable=False)
    nren = sa.Column(sa.String(128), primary_key=True)
    year = sa.Column(sa.Integer, primary_key=True)
    client_institutions = sa.Column(sa.String(128))
    european_funding = sa.Column(sa.String(128))
    gov_public_bodies = sa.Column(sa.String(128))
    commercial = sa.Column(sa.String(128))
    other = sa.Column(sa.String(128))
