import logging
import os

from compendium_v2 import db
from alembic.config import Config
from alembic import command

logger = logging.getLogger(__name__)
DEFAULT_MIGRATIONS_DIRECTORY = os.path.dirname(__file__)


def upgrade(dsn, migrations_directory=DEFAULT_MIGRATIONS_DIRECTORY):
    """
    migrate db to head version

    cf. https://stackoverflow.com/a/43530495,
        https://stackoverflow.com/a/54402853

    :param dsn: dsn string, passed to alembic
    :param migrations_directory: full path to migrations directory
        (default is this directory)
    :return:
    """
    alembic_config = Config()
    alembic_config.set_main_option('script_location', migrations_directory)
    alembic_config.set_main_option('sqlalchemy.url', dsn)
    command.upgrade(alembic_config, 'head')


if __name__ == "__main__":
    logging.basicConfig(level=logging.DEBUG)
    upgrade(db.postgresql_dsn(
        db_username='compendium',
        db_password='compendium321',
        db_hostname='localhost',
        db_name='compendium',
        port=65000))
