"""create funding source schema

Revision ID: 833c99d745d7
Revises: cbcd21fcc151
Create Date: 2023-03-07 23:47:30.157499

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = '833c99d745d7'
down_revision = 'cbcd21fcc151'
branch_labels = None
depends_on = None

funding_id_seq = sa.Sequence('fundingentry_seq_id_seq')


def upgrade():
    op.execute(sa.schema.CreateSequence(funding_id_seq))  # create the sequence
    op.create_table(
        'funding_source',
        sa.Column('id', sa.Integer, funding_id_seq, nullable=False,
                  server_default=funding_id_seq.next_value()),
        sa.Column('nren', sa.String(length=128), nullable=False),
        sa.Column('year', sa.Integer, nullable=False),
        sa.Column('client_institutions', sa.String(length=128)),
        sa.Column('european_funding', sa.String(length=128)),
        sa.Column('gov_public_bodies', sa.String(length=128)),
        sa.Column('commercial', sa.String(length=128)),
        sa.Column('other', sa.String(length=128)),
        sa.PrimaryKeyConstraint('nren', 'year')
    )


def downgrade():
    op.execute(
        sa.schema.DropSequence(sa.Sequence('fundingentry_seq_id_seq')))
    op.drop_table('funding_source')
