"""Initial DB

Revision ID: cbcd21fcc151
Revises:
Create Date: 2023-02-07 15:56:22.086064

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic.
revision = 'cbcd21fcc151'
down_revision = None
branch_labels = None
depends_on = None

# represents the sequence
budget_id_seq = sa.Sequence('budgetentry_seq_id_seq')


def upgrade():
    op.execute(sa.schema.CreateSequence(budget_id_seq))  # create the sequence
    op.create_table(
        'budgets',
        sa.Column('id', sa.Integer, budget_id_seq, nullable=False,
                  server_default=budget_id_seq.next_value()),
        sa.Column('nren', sa.String(length=128), nullable=False),
        sa.Column('budget', sa.String(length=128), nullable=True),
        sa.Column('year', sa.Integer, nullable=False),
        sa.PrimaryKeyConstraint('nren', 'year')
    )


def downgrade():
    op.execute(
        sa.schema.DropSequence(sa.Sequence('budgetentry_seq_id_seq')))
    op.drop_table('budgets')
