"""
API Endpoints
=========================

.. contents:: :local:

/api/data-entries/
---------------------



"""
import logging

from flask import Blueprint

from compendium_v2.routes import common
from compendium_v2.routes.budget import routes as budget_routes
from compendium_v2.routes.funding import routes as funding_routes

routes = Blueprint('compendium-v2-api', __name__)
routes.register_blueprint(budget_routes, url_prefix='/budget')
routes.register_blueprint(funding_routes, url_prefix='/funding')

logger = logging.getLogger(__name__)


@routes.after_request
def after_request(resp):
    return common.after_request(resp)
