import logging
import sqlalchemy as sa

from typing import Any

from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import relationship

logger = logging.getLogger(__name__)

# https://github.com/python/mypy/issues/2477
base_schema: Any = declarative_base()


class Budgets(base_schema):
    __tablename__ = 'budgets'
    id = sa.Column(sa.Integer, primary_key=True)
    budget = sa.Column(sa.String)
    year = sa.Column(sa.Integer)
    country_code = sa.Column('country_code', sa.String,
                             sa.ForeignKey('nrens.country_code'))
    nren = relationship('Nrens', back_populates='budgets')


class Nrens(base_schema):
    __tablename__ = 'nrens'
    id = sa.Column(sa.Integer, primary_key=True)
    abbreviation = sa.Column(sa.String)
    country_code = sa.Column(sa.String)
    budgets = relationship('Budgets', back_populates='nren')


# class BudgetEntry(base_schema):
#     # Session = sessionmaker(bind=engine)
#     # session = Session()
#
#     __tablename__ = 'budgets'
#     session.query(Budget).all()
#     id = sa.Column(sa.Integer, autoincrement=True)
#     nren = sa.Column(sa.String(128), primary_key=True)
#     budget = sa.Column(sa.String(128), nullable=True)
#     year = sa.Column(sa.String(128), primary_key=True)
