from setuptools import setup, find_packages

setup(
    name='compendium-v2',
    version="0.9",
    author='GEANT',
    author_email='swd@geant.org',
    description='Flask and React project for displaying '
                'Compendium related reports and survey',
    url='https://gitlab.geant.net/live-projects/compendium-v2',
    packages=find_packages(),
    install_requires=[
        'jsonschema',
        'flask',
        'flask-cors',
        'SQLAlchemy',
        'alembic',
        'psycopg2-binary',
        'cryptography',
        'openpyxl',
        'click'
    ],
    include_package_data=True,

    entry_points={
        'console_scripts': [
            'survey-publisher-v1=compendium_v2.publishers.survey_publisher_v1:cli',  # noqa
            'survey-publisher-2022=compendium_v2.publishers.survey_publisher_2022:cli',  # noqa
        ]
    }
)
