import React, { ReactElement } from "react";
import { BrowserRouter as Router, Routes, Route } from "react-router-dom";
import Landing from "./pages/Landing";
import ExternalPageNavBar from "./components/global/ExternalPageNavBar";
import About from "./pages/About";
import DataAnalysis from "./pages/DataAnalysis";
import AnnualReport from "./pages/AnnualReport";
import CompendiumData from "./pages/CompendiumData";
import FundingSourcePage from "./pages/FundingSource";

function App(): ReactElement {
  return (
    <div>
      <Router>
        <ExternalPageNavBar />
        <Routes>
          <Route path="/data" element={<CompendiumData />} />
          <Route path="/about" element={<About />} />
          <Route path="/analysis" element={<DataAnalysis />} />
          <Route path="/report" element={<AnnualReport />} />
          <Route path="/funding" element={<FundingSourcePage />} />
          <Route path="*" element={<Landing />} />
        </Routes>
      </Router>
    </div>
  );
}

export default App;
