export interface ServiceMatrix {
    key: string,
    nrens: Nren[],
    services: Service[][]
}


export interface Nren {
    name: string
    nren_id: number
    tags: string[]
}

export interface BudgetMatrix {
    data: {
        labels: string[],
        datasets: {
            label: string,
            data: (number | null)[],
            backgroundColor: string
        }[]
    },
    description: string,
    id: string,
    settings: Record<string, unknown>,
    title: string
}

export interface Budget {
    BUDGET: string,
    BUDGET_YEAR: number,
    NREN: string,
    id: number
}

export interface FundingSource{
    CLIENT_INSTITUTIONS: string,
    COMMERCIAL: string,
    EUROPEAN_FUNDING: string,
    GOV_PUBLIC_BODIES: string,
    NREN: string,
    OTHER: string,
    YEAR: number,
    id: number
}

export interface FS{
    data: [FundingSource]
}

export interface FundingGraphMatrix {

        labels: string[],
        datasets: {
            label: string,
            data: string[],
            backgroundColor: string
            borderRadius:number,
            borderSkipped: boolean ,
            barPercentage:number,
            borderWidth: number,
            categoryPercentage:number
            stack: string
        }[]
}

export interface DataEntrySection {
    name: string,
    description: string,
    items: {
        id: number,
        title: string,
        url: string
    }[]
}

export interface Service {
    compendium_id: number,
    country_code: string,
    country_name: string,
    created_at: Date,
    id: number,
    identifier: string,
    kpi: string[],
    nren_abbreviation: string
    nren_id: number,
    public: boolean,
    question_id: number,
    question_style: string,
    response_id: number,
    short: string,
    status: number,
    tags: string[],
    title: string,
    title_detailed: string,
    updated_at: Date,
    url: string,
    value: string
}
