import React, {ReactElement} from "react";
import {Container, Row, Col} from "react-bootstrap";
import GeantLogo from "../../images/geant_logo_f2020_new.svg";

/**
 * NavBar
 *
 * This NavBar is only to be used when doing development, as the main site will run inside an iframe with
 * the correct menu around it
 */
function ExternalPageNavBar(): ReactElement {
    return (
        <div className={'external-page-nav-bar'}>

            <Container>
                <Row>
                    <Col>
                        <img src={GeantLogo}/>
                        <ul>
                            <li><a>NETWORK</a></li>
                            <li><a>SERVICES</a></li>
                            <li><a>COMMUNITY</a></li>
                            <li><a>TNC</a></li>
                            <li><a>PROJECTS</a></li>
                            <li><a>CONNECT</a></li>
                            <li><a>IMPACT</a></li>
                            <li><a>CAREERS</a></li>
                            <li><a>ABOUT</a></li>
                            <li><a>NEWS</a></li>
                            <li><a>RESOURCES</a></li>
                        </ul>
                    </Col>
                </Row>
            </Container>
        </div>
    );
}

export default ExternalPageNavBar;