import React, { ReactElement } from "react";
import { Container, Row, Col } from "react-bootstrap";

interface inputProps {
    type: string,
    header: string,
    children: ReactElement
}

function CompendiumHeader({ type, header, children }: inputProps): ReactElement {
    let className = ''
    if (type == 'data') {
        className += ' compendium-data-header'
    } else if (type == 'reports') {
        className = ' compendium-reports-header'
    }
    return (
        <div className={className}>

            <Container>
                <Row>
                    <Col sm={8}>
                        <h1 className={'bold-caps-30pt '}>{header}</h1>
                    </Col>
                    <Col sm={4}>
                    {children}
                    </Col>
                </Row>
            </Container>
        </div>
    );
}

export default CompendiumHeader;