import React, {ReactElement} from 'react';
import {Bar} from 'react-chartjs-2';
import {DataSetProps} from './types';


import {
    Chart as ChartJS,
    CategoryScale,
    LinearScale,
    BarElement,
    Title,
    Tooltip,
    Legend,
} from 'chart.js';


ChartJS.register(
    CategoryScale,
    LinearScale,
    BarElement,
    Title,
    Tooltip,
    Legend
);

function BarGraph(data: DataSetProps): ReactElement {
    return (
        <Bar data={data.data} options={{}}/>
    );
}

export default BarGraph;
