import React, {ReactElement} from 'react';
import {Line} from 'react-chartjs-2';
import {DataSetProps} from './types';


import {
 Chart as ChartJS,
  CategoryScale,
  LinearScale,
  PointElement,
  LineElement,
  Title,
  Tooltip,
  Legend,
} from 'chart.js';


ChartJS.register(
  CategoryScale,
  LinearScale,
  PointElement,
  LineElement,
  Title,
  Tooltip,
  Legend
);

const options = {
  responsive: true,
  plugins: {
    legend: {
      position: 'top' as const,
    },
    title: {
      display: true,
      text: '',
    },
  },
};
function LineGraph(data: DataSetProps): ReactElement {
    return (
        <Line data={data.data} options={options}/>
    );
}

export default LineGraph;
