import React, { ReactElement } from "react";
import { Container, Row, Col } from "react-bootstrap";
import CollapsibleBox from "../components/CollapsibleBox";
import PageHeader from "../components/global/PageHeader"
import SectionLink from "../components/global/SectionLink";
import Banner from "../components/global/Banner";
import { Link } from "react-router-dom";

function CompendiumData(): ReactElement {
    return (
        <main style={{ backgroundColor: "white" }}>
            <PageHeader type={'data'} header={'Compendium Data'}>
                <SectionLink section={"Reports"} />
            </PageHeader>
            <Banner type={'data'}>
                <p>
                    What the Compendium is, the history of it, the aim, what you can find in it etc etc etc etc
                    Lorem ipsum dolor sit amet, consec tetur adi piscing elit, sed do eiusmod tempor inc dolor sit amet, consec
                    tetur adi piscing elit, sed do eiusmod tempor inc
                </p>
            </Banner>
            <Container className="geant-container">
                <Row>
                    <div className="center">

                        <CollapsibleBox title="ORGANISATION">

                            <div className="collapsible-column">
                                <Row>
                                    <Link to="/analysis" state={{ graph: 'budget' }}>
                                        <span>Length of NREN dark fibres leased by NRENs</span>
                                    </Link>
                                </Row>

                                <Row>
                                    <Link to="/funding" state={{ graph: 'fundingsources' }}>
                                        <span>Length of dark fibres operated by NRENs outside their own countries</span>
                                    </Link>
                                </Row>

                                <Row>
                                    <span>Average duration of NREN's Indefensible Rights of use of dark fibre cables</span>
                                </Row>
                                <Row>
                                    <span>Length of of dark fibre cables laid by the NREN in their network</span>
                                </Row>
                            </div>
                            <div className="collapsible-column">
                                <Row>
                                    <span>Length of NREN dark fibres leased by NRENs</span>
                                </Row>

                                <Row>
                                    <span>Length of dark fibres operated by NRENs outside their own countries</span>
                                </Row>

                                <Row>
                                    <span>Average duration of NREN's Indefensible Rights of use of dark fibre cables</span>
                                </Row>
                                <Row>
                                    <span>Length of of dark fibre cables laid by the NREN in their network</span>
                                </Row>
                            </div>
                        </CollapsibleBox>
                        <Row>
                            <CollapsibleBox title="STANDARDS AND POLICES">

                            </CollapsibleBox>
                        </Row>


                        <Row>
                            <CollapsibleBox title="CONNECTED USERS">

                            </CollapsibleBox>
                        </Row>


                        <Row>
                            <CollapsibleBox title="NETWORK">

                            </CollapsibleBox>
                        </Row>


                        <Row>
                            <CollapsibleBox title="SERVICES">

                            </CollapsibleBox>
                        </Row>

                    </div>

                </Row>
            </Container>
        </main>
    );
}

export default CompendiumData;
