import React, { ReactElement } from "react";
import { Link } from "react-router-dom";
import { Card, Container, Row, Col } from "react-bootstrap";
import SectionDataLogo from "../images/section_data_large.png";
import SectionReportsLogo from "../images/section_reports_large.png";

function Landing(): ReactElement {
    return (
        <Container className="grey-container">
            <Row>
                <div className="center-text max-width-100vw">
                    <h1 className="geant-header">THE GÉANT COMPENDIUM OF NRENS</h1>
                    <br />
                    <p className="wordwrap">
                        What the Compendium is, the history of it, the aim, what you can
                        find in it etc etc etc etc
                        Lorem ipsum dolor sit amet, consec tetur
                        adi piscing elit, sed do eiusmod tempor inc dolor sit amet, consec
                        tetur adi piscing elit, sed do eiusmod tempor inc
                    </p>
                </div>
            </Row>
            <Row>
                <Col>
                    <Container
                        style={{ backgroundColor: "white" }}
                        className="rounded-border"
                    >
                        <Row className="justify-content-md-center">
                            <Col align={"center"}>

                                <Card border='light' style={{ width: "18rem" }}>
                                    <Link to="/data">
                                        <Card.Img src={SectionDataLogo}/>
                                        <Card.Body>
                                            <Card.Title>Compendium Data</Card.Title>
                                            <Card.Text>
                                                The results of the Compendium Surveys lled in annually by
                                                NRENs. Questions cover many topics: Network, Connected
                                                Users, Services, Standards & Policies
                                            </Card.Text>
                                        </Card.Body>
                                    </Link>
                                </Card>

                            </Col>
                            <Col align={"center"}>
                                <Card border='light' style={{ width: "18rem" }}>
                                    <Card.Img src={SectionReportsLogo}/>
                                    <Card.Body>
                                        <Card.Title>Compendium Reports</Card.Title>
                                        <Card.Text>
                                            A GÉANT Compendium Report is published annually, drawing
                                            on data from the Compendium Survey lled in by NRENs,
                                            complemented by information from other surveys
                                        </Card.Text>
                                    </Card.Body>
                                </Card>
                            </Col>
                        </Row>
                    </Container>
                </Col>
            </Row>
        </Container >
    );
}

export default Landing;
